function EFFECT:Init(data)
	self.DieTime = CurTime() + 1

	local ent = data:GetEntity()

	self.Entity:SetModel(ent:GetModel())
	self.Entity:SetPos(data:GetOrigin())
	self.Entity:SetAngles(data:GetNormal():Angle())
end

function EFFECT:Think()
	return CurTime() < self.DieTime
end

function EFFECT:Render()
	local delta = self.DieTime - CurTime()

	local brightness = delta * 120
	self.Entity:SetColor(brightness, brightness, brightness, delta * 220)
	local size = 1 + math.sin(delta * 20) * (delta + 0.25)
	self.Entity:SetModelScale(Vector(size, size, 1))
	self.Entity:DrawModel()
end
