include("shared.lua")

function ENT:Initialize()
	self:SetRenderBounds(Vector(-72, -72, -72), Vector(72, 72, 128))
end

function ENT:SetCrateHealth(health)
	self:SetDTFloat(0, health)
end

function ENT:Draw()
	if MySelf:IsValid() and MySelf:Team() == TEAM_HUMAN then
		self:DrawModel()

		local pos = self:LocalToWorld(self:OBBCenter()) + Vector(0, 0, self:BoundingRadius() + 20)
		local displaypurchase = math.sin(RealTime() * 6) > 0 and GAMEMODE:PlayerCanPurchase(MySelf)
		local owner = self:GetCrateOwner()
		local ownername = owner:IsValid() and owner:IsPlayer() and owner:Name()

		for i=0, 1 do
			cam.Start3D2D(pos, Angle(0, CurTime() * 45 + i * 180, 90), 0.15)

			draw.SimpleText("Arsenal Crate", "ArsenalCrate", 0, 0, COLOR_GRAY, TEXT_ALIGN_CENTER)

			if displaypurchase then
				draw.SimpleText("Purchase now!", "ArsenalCrate", 0, 50, COLOR_GREEN, TEXT_ALIGN_CENTER)
			end

			if ownername then
				draw.SimpleText("Owner: "..ownername, "ArsenalCrate2", 0, 100, COLOR_GRAY, TEXT_ALIGN_CENTER)
			end

			cam.End3D2D()
		end
	else
		self:DrawModel()
	end
end
