include("shared.lua")

ENT.NextEmit = 0

function ENT:Initialize()
	self:SetColor(0, 255, 0, 255)

	self.Emitter = ParticleEmitter(self:GetPos())
	self.Emitter:SetNearClip(24, 32)
end

function ENT:Think()
	self.Emitter:SetPos(self:GetPos())
end

function ENT:OnRemove()
	self.Emitter:Finish()
end

function ENT:Draw()
	self:DrawModel()

	if CurTime() < self.NextEmit then return end
	self.NextEmit = CurTime() + 0.05

	local pos = self:GetPos()

	local particle = self.Emitter:Add("particles/smokey", pos)
	particle:SetDieTime(math.Rand(0.4, 0.5))
	particle:SetStartAlpha(255)
	particle:SetEndAlpha(0)
	particle:SetStartSize(math.Rand(3, 5))
	particle:SetEndSize(0)
	particle:SetRoll(math.Rand(0, 255))
	particle:SetRollDelta(math.Rand(-10, 10))
	particle:SetVelocity((self:GetVelocity():Normalize() * -1 + VectorRand():Normalize()):Normalize() * math.Rand(16, 48))
	local r, g, b = render.GetLightRGB(pos)
	particle:SetColor(10 + r * 20, 60 + g * 185, 10 + b * 20)
end
