include("shared.lua")

SWEP.PrintName = "Carpenter's Hammer"
SWEP.Description = "A simple but extremely useful tool. Allows you to hammer in nails to make barricades.\nPress SECONDARY FIRE to hammer in nail. It will be attached to whatever is behind it.\nPress RELOAD to take a nail out.\nUse PRIMARY FIRE to bash zombie brains or to repair damaged nails.\nYou get a point bonus for repairing damaged nails but a point penalty for removing another player's nails."

SWEP.ViewModelFOV = 75

function SWEP:DrawHUD()
	surface.SetFont("ZSHUDFontSmall")
	local nails = self:GetPrimaryAmmoCount()
	local nTEXW, nTEXH = surface.GetTextSize("Right click to hammer in a nail.")

	--draw.RoundedBox(8, w - nTEXW - 32, h - nTEXH * 3 - 8, nTEXW + 16, nTEXH * 2 + 16, color_black_alpha180)

	if 0 < nails then
		draw.SimpleText("Nails: "..nails, "ZSHUDFontSmall", w - nTEXW * 0.5 - 24, h - nTEXH * 3, COLOR_LIMEGREEN, TEXT_ALIGN_CENTER)
	else
		draw.SimpleText("Nails: 0", "ZSHUDFontSmall", w - nTEXW * 0.5 - 24, h - nTEXH * 3, COLOR_RED, TEXT_ALIGN_CENTER)
	end

	draw.SimpleText("Right click to hammer in a nail.", "ZSHUDFontSmall", w - nTEXW * 0.5 - 24, h - nTEXH * 2, COLOR_LIMEGREEN, TEXT_ALIGN_CENTER)

	if GetConVarNumber("crosshair") ~= 1 then return end
	self:DrawCrosshairDot()
end

function SWEP:HUDShouldDraw(name)
	if name == "CHudAmmo" then return false end
end
