local PANEL = {}

PANEL.m_AmmoType = "pistol"

function PANEL:Init()
end

function PANEL:Paint()
	local ammotype = self:GetAmmoType()

	draw.SimpleText((GAMEMODE.AmmoNames[ammotype] or ammotype)..": "..MySelf:GetAmmoCount(ammotype), "ZSHUDFontTiny", 0, 0, color_white)

	return true
end

function PANEL:Think()
	if MySelf:GetAmmoCount(self:GetAmmoType()) <= 0 then self:Remove() end
end

function PANEL:SetAmmoType(ammotype)
	self.m_AmmoType = ammotype
end

function PANEL:GetAmmoType()
	return self.m_AmmoType
end

vgui.Register("DAmmoCounter", PANEL, "DPanel")
