ENT.Type = "anim"
ENT.RenderGroup = RENDERGROUP_TRANSLUCENT

ENT.m_NoNailUnfreeze = true
ENT.NoNails = true

ENT.CanPackUp = true

ENT.IsBarricadeObject = true
ENT.AlwaysGhostable = true

function ENT:SetCrateHealth(health)
	self:SetDTFloat(0, health)
	if health <= 0 and not self.Destroyed then
		self.Destroyed = true

		local ent = ents.Create("prop_physics")
		if ent:IsValid() then
			ent:SetModel(self:GetModel())
			ent:SetMaterial(self:GetMaterial())
			ent:SetAngles(self:GetAngles())
			ent:SetPos(self:GetPos())
			ent:SetSkin(self:GetSkin())
			ent:SetColor(self:GetColor())
			ent:Spawn()
			ent:Fire("break", "", 0)
			ent:Fire("kill", "", 0.1)
		end
	end
end

function ENT:GetCrateHealth()
	return self:GetDTFloat(0)
end

function ENT:SetMaxCrateHealth(health)
	self:SetDTFloat(1, health)
end

function ENT:GetMaxCrateHealth()
	return self:GetDTFloat(1)
end

function ENT:SetCrateOwner(ent)
	self:SetDTEntity(0, ent)
end

function ENT:GetCrateOwner()
	return self:GetDTEntity(0)
end

function ENT:ClearCrateOwner()
	self:SetCrateOwner(NULL)
end
