AddCSLuaFile("cl_init.lua")
AddCSLuaFile("shared.lua")

include("shared.lua")

ENT.NextHeal = 0

function ENT:PlayerSet(pPlayer, bExists)
	pPlayer.FeignDeath = self
	pPlayer:SetSpeed(1)
	pPlayer:SetJumpPower(0)
	pPlayer:SetCollisionGroup(COLLISION_GROUP_DEBRIS_TRIGGER)
	pPlayer:AnimResetGestureSlot(GESTURE_SLOT_ATTACK_AND_RELOAD)
end

function ENT:Think()
	local fCurTime = CurTime()
	local owner = self:GetOwner()
	if owner:IsValid() then
		if self:GetStateEndTime() <= fCurTime and self:GetState() == 1 or not owner:Alive() then
			self:Remove()
			return
		end

		if fCurTime >= self.NextHeal then
			self.NextHeal = fCurTime + 0.25

			if owner:Health() < owner:GetMaxHealth() then
				owner:SetHealth(owner:Health() + 1)
			end
		end
	end

	self:NextThink(fCurTime)
	return true
end

function ENT:OnRemove()
	local parent = self:GetOwner()
	if parent:IsValid() then
		parent.FeignDeath = nil
		parent:ResetSpeed()
		parent:ResetJumpPower()
		parent:TemporaryNoCollide(true)
	end
end
