AddCSLuaFile("cl_init.lua")
AddCSLuaFile("shared.lua")

include("shared.lua")

function SWEP:Deploy()
	local owner = self.Owner

	for _, ent in pairs(ents.FindByClass("status_chemzombieambience")) do
		if ent:GetOwner() == owner then return end
	end

	local ent = ents.Create("status_chemzombieambience")
	if ent:IsValid() then
		ent:SetPos(owner:GetPos() + Vector(0, 0, 16))
		owner["status_chemzombieambience"] = ent
		ent:SetOwner(owner)
		ent:SetParent(owner)
		ent:Spawn()
	end

	self.IdleAnimation = CurTime() + self:SequenceDuration()

	return true
end

SWEP.NextAura = 0

function SWEP:Think()
	if self.IdleAnimation and self.IdleAnimation <= CurTime() then
		self.IdleAnimation = nil
		self:SendWeaponAnim(ACT_VM_IDLE)
	end

	if self.NextAura <= CurTime() then
		self.NextAura = CurTime() + 2

		local origin = self.Owner:LocalToWorld(self.Owner:OBBCenter())
		for _, ent in pairs(ents.FindInSphere(origin, 40)) do
			if ent:IsPlayer() and ent:Team() ~= TEAM_UNDEAD and ent:Alive() and TrueVisible(origin, ent:NearestPoint(origin)) then
				ent:PoisonDamage(1, self.Owner, self)
			end
		end
	end
end
