include("shared.lua")

SWEP.PrintName = "Improvised"

function SWEP:GetViewModelPosition(pos, ang)
	return pos + ang:Up() * 256, ang
end

function SWEP:DrawWorldModel()
	self:AlignProp()
end

function SWEP:Think()
	local prop = self:GetProp()
	if self._OldProp ~= prop then
		self._OldProp = prop
		self:InitializeModel(prop)
	end

	self:AlignProp()

	self.BaseClass.Think(self)

	self:NextThink(CurTime())
	return true
end
