if SERVER then
	AddCSLuaFile("shared.lua")
end

if CLIENT then
	SWEP.PrintName = "'Stalker' M4"
	SWEP.Description = "Using this gun will severely reduce the distance in which zombies can see your aura."
	SWEP.Slot = 2
	SWEP.SlotPos = 0

	SWEP.HUD3DBone = "v_weapon.m4_Eject"
	SWEP.HUD3DPos = Vector(-0.25, 0.35, 1.7)
	SWEP.HUD3DAng = Angle(180, 200, 0)
end

SWEP.Base = "weapon_zs_base"

SWEP.HoldType = "smg"

SWEP.ViewModel = "models/weapons/v_rif_m4a1.mdl"
SWEP.WorldModel = "models/weapons/w_rif_m4a1.mdl"

SWEP.Primary.Sound = Sound("Weapon_m4a1.Single")
SWEP.Primary.Damage = 24
SWEP.Primary.NumShots = 1
SWEP.Primary.Delay = 0.11

SWEP.Primary.ClipSize = 30
SWEP.Primary.Automatic = true
SWEP.Primary.Ammo = "ar2"
GAMEMODE:SetupDefaultClip(SWEP.Primary)

SWEP.Primary.Gesture = ACT_HL2MP_GESTURE_RANGE_ATTACK_SMG1
SWEP.ReloadGesture = ACT_HL2MP_GESTURE_RELOAD_SMG1

SWEP.Cone = 0.09
SWEP.ConeMoving = 0.125
SWEP.ConeCrouching = 0.085
SWEP.ConeIron = 0.08
SWEP.ConeIronCrouching = 0.045

SWEP.WalkSpeed = SPEED_SLOW

SWEP.IronSightsPos = Vector(6.23, 0, -1.7)
SWEP.IronSightsAng = Vector(10,1.5,4)

function SWEP:GetAuraRange()
	return 512
end
